org.apache.hadoop.mapred.nativetask

## Interface NativeDataTarget

- All Known Subinterfaces:
    INativeHandler
  All Known Implementing Classes:
    NativeBatchProcessor

      @InterfaceAudience.Private
      public interface NativeDataTarget

  NativeDataTarge sends data to downstream

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finishSendData()` Sends a signal that there is no more data
    `OutputBuffer` | `getOutputBuffer()` Gets the output buffer.
    `void` | `sendData()` Sends a signal to indicate that the data has been stored in output buffer

- - ### Method Detail

    - #### sendData

          void sendData()
                 throws IOException

      Sends a signal to indicate that the data has been stored in output buffer
      Throws:
        `IOException`

    - #### finishSendData

          void finishSendData()
                       throws IOException

      Sends a signal that there is no more data
      Throws:
        `IOException`

    - #### getOutputBuffer

          OutputBuffer getOutputBuffer()

      Gets the output buffer.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.